import Channel, { ChannelOptions } from './Channel';
import Task from '@dojo/core/async/Task';
export default class WebSocketChannel extends Channel {
    protected _socket: WebSocket;
    protected _sendQueue: {
        [key: string]: () => void;
    };
    protected _ready: Task<any>;
    constructor(options: WebSocketOptions);
    protected _sendData(name: string, data: any): Task<any>;
    protected _handleMessage(message: any): void;
}
export interface WebSocketOptions extends ChannelOptions {
    port: number;
}
